# Copyright 1999-2009 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

DESCRIPTION="Advent Game"
HOMEPAGE="http://advent.aaron-mueller.de/"
SRC_URI="http://cloud.github.com/downloads/aaronmueller/advent2009/adventgame-0.1.tar.bz2"

LICENSE="GPL"
SLOT="0"
KEYWORDS="~x86"
IUSE=""

DEPEND=""
RDEPEND=""
RESTRICT="strip"

src_unpack() {
	tar xfz "${A}" "${WORKDIR}"
}

src_compile() {
	cd "${WORKDIR}" || die
}

src_install() {
	make install
	cp bin/adventgame ${D}/usr/bin/adventgame
	make man
	cp bin/adventgame.6.gz ${D}/usr/share/man/adventgame.6.gz
}

